import request from '@/utils/request'

// 查询企业列表
export function listEnterprises(query) {
  return request({
    url: '/system/enterprises/list',
    method: 'get',
    params: query
  })
}

// 查询企业详细
export function getEnterprises(id) {
  return request({
    url: '/system/enterprises/' + id,
    method: 'get'
  })
}

// 新增企业
export function addEnterprises(data) {
  return request({
    url: '/system/enterprises',
    method: 'post',
    data: data
  })
}

// 修改企业
export function updateEnterprises(data) {
  return request({
    url: '/system/enterprises',
    method: 'put',
    data: data
  })
}

// 删除企业
export function delEnterprises(id) {
  return request({
    url: '/system/enterprises/' + id,
    method: 'delete'
  })
}

// 获取企业简要列表
export function getSimpleList(){
  return request({
    url:'/system/enterprises/simpleList',
    method:'get'
  })
}
